Name:           peg-solitaire
Version:        2.0
Release:        8%{?dist}
Summary:        Board game played with pegs

License:        GPLv3+
URL:            http://sourceforge.net/projects/%{name}/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.appdata.xml

#The patch sets the correct binary folder and validates the desktop file
Patch0:         %{name}.diff

BuildRequires:  qt-devel
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
BuildRequires:  libappstream-glib

%description
Peg solitaire is a board game for one player involving movement of pegs on
a board with holes. The program includes over 330 solitaire problems.
The program looks for new solutions and it is possible to raise new problems.

%prep
%setup -q
%patch0

%build
%{qmake_qt4} PREFIX=%{buildroot}/%{_prefix} %{name}.pro
make %{?_smp_mflags}


%install
%make_install

# install and validate the appdata file
mkdir -p %{buildroot}%{_datadir}/appdata/
install -p -m 644 %{SOURCE1} %{buildroot}%{_datadir}/appdata/

# Generate resized icons
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/{16x16,22x22,24x24,32x32}/apps
for s in 16x16 22x22 24x24 32x32
do
    convert images/%{name}.png -resize $s %{buildroot}/%{_datadir}/icons/hicolor/$s/apps/%{name}.png;
done
install -p -D -m 644 images/%{name}.png %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%find_lang solitari --with-qt --without-mo


%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml ||:
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop


%files -f solitari.lang
%doc changelog
%license copying.txt
%{_bindir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/games/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/pixmaps/%{name}.xpm
%{_mandir}/man6/%{name}.6.*

%changelog
* Thu Jan 22 2015 Mario Blättermann <mario.blaettermann@gmail.com> - 2.0-8
- Move appdata validation to %%check
- Generate and install resized PNG icons

* Fri Jan 16 2015 Mario Blättermann <mario.blaettermann@gmail.com> - 2.0-7
- Use the %%license macro
- Add appdata file

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Oct 09 2013 Mario Blättermann <mariobl@fedoraproject.org> - 2.0-4
- Add a missing folder to %%files
- New placement of the find_lang macro to get it work (bug #989437)

* Sat Jul 20 2013 Mario Blättermann <mariobl@fedoraproject.org> - 2.0-3
- Removed the update-desktop-database scripts because the package
  doesn't have MIME type associations
- Attempt to use find_lang

* Wed Jul 17 2013 Mario Blättermann <mariobl@fedoraproject.org> - 2.0-2
- Fixed the %%{buildroot} usage

* Tue Jul 16 2013 Mario Blättermann <mariobl@fedoraproject.org> 2.0-1
- Initial package